## circle

circle — Warps the picture into an arc shaped form

## Properties

gdouble | angle | Read / Write
gint | height | Read / Write
gdouble | spread-angle | Read / Write

## Types and Values

struct | GstCircle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstCircle

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCircle

    struct GstCircle;

## Property Details

### The `“angle”` property

      “angle”                    gdouble

Angle at which the arc starts in radians.

Flags: Read / Write

Default value: 0

### The `“height”` property

      “height”                   gint

Height of the arc.

Flags: Read / Write

Allowed values: >= 0

Default value: 20

### The `“spread-angle”` property

      “spread-angle”             gdouble

Length of the arc in radians.

Flags: Read / Write

Default value: 3.14159